Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class ServiceOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.ServiceOperations

    public class ServiceOperations

extends Object

Class containing information on service operations.

Field Summary
`static String` | `GET_CONNECTIONS` Get list of connection MBean object names
`static String` | `GET_CONSUMER_IDS` Get list of consumer IDs.
`static String` | `GET_PRODUCER_IDS` Get list of producer IDs.
`static String` | `GET_SERVICES` Get list of service MBean object names
`static String` | `PAUSE` Pause service.
`static String` | `RESUME` Resume service.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_SERVICES

    public static final String GET_SERVICES

  Get list of service MBean object names

  See Also:
    Constant Field Values

### GET_CONNECTIONS

    public static final String GET_CONNECTIONS

  Get list of connection MBean object names

  See Also:
    Constant Field Values

### GET_CONSUMER_IDS

    public static final String GET_CONSUMER_IDS

  Get list of consumer IDs.

  See Also:
    Constant Field Values

### GET_PRODUCER_IDS

    public static final String GET_PRODUCER_IDS

  Get list of producer IDs.

  See Also:
    Constant Field Values

### PAUSE

    public static final String PAUSE

  Pause service.

  See Also:
    Constant Field Values

### RESUME

    public static final String RESUME

  Resume service.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.